Name:		peg-e
Version:	1.2.2
Release:	%mkrel 1
Summary:	Peg solitaire game
Group:		Games/Boards
License:	GPLv3+
URL:		http://gottcode.org/peg-e
Source:		http://gottcode.org/peg-e/%{name}-%{version}-src.tar.bz2

BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:  qttools5

%description
A peg solitaire game in which you jump over pieces in order to remove
them from the board, ultimately trying to eliminate all but one.
The boards are randomly generated, with 100 levels of difficulty.
The game auto-saves, and has undo-redo capability.
Pieces can move horizontally, vertically, and diagonally.

%prep
%setup -q

%build
%qmake_qt5 PREFIX=%{_prefix}
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm
%{_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man6/%{name}.6*


%changelog
* Sat Oct 08 2016 akien <akien> 1.2.2-1.mga6
+ Revision: 1059608
- Version 1.2.2

* Tue Jan 12 2016 akien <akien> 1.2.1-1.mga6
+ Revision: 922153
- Version 1.2.1
- Build with Qt 5
- Add upstream man page and appdata file

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-3.mga5
+ Revision: 746719
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-2.mga5
+ Revision: 683396
- Mageia 5 Mass Rebuild

* Fri Feb 07 2014 wally <wally> 1.1.2-1.mga5
+ Revision: 585469
- new version 1.1.2
- drop desktop file patch

* Fri Oct 18 2013 umeabot <umeabot> 1.1.1.1-3.mga4
+ Revision: 508948
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.1.1-2.mga3
+ Revision: 362737
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 27 2012 vaci0 <vaci0> 1.1.1.1-1.mga3
+ Revision: 274801
- imported package peg-e

